Homebrew 无法安装过时的PHP版本


使用brew安装过时的PHP版本时,提示“Error: php@7.4 has been disabled because it is a versioned formula!”错误。
因为过时的PHP版本官方已经不再维护,所以Hombrew将该PHP版本移出了repository,所以安装不了。

解决方案

# 1. 用tap添加软件源码
brew tap shivammathur/php

# 2. 安装
brew install shivammathur/php/php@7.4

#3. 重启PHP
brew services restart shivammathur/php/php@7.4

 

通过命令行

brew search php

 

就可以看到可以安装的软件包
然后就可以用brew install shivammathur/php/php@版本号安装相应的版本了

发布时间 : 2023-02-28,阅读量:1100
本文链接:https://upwqy.com/details/337.html
在 IntelliJ IDEA 中修改 Spring 项目的启动端口 Homebrew:Mac OS 使用brew工具时报错No remote ‘origin’